<?php
/**
 * The file contains a class that is a base for all activator classes using licensing.
 * 
 * @author Paul Kashtanoff <paul@byonepress.com>
 * @copyright (c) 2013, OnePress Ltd
 * 
 * @package core 
 * @since 1.0.0
 */

/**
 * A base activator that all activator using licensing.
 * 
 * @since 1.0.0
 */
class OnpLicensing300_Activator extends Factory300_Activator {
    
    public function activate() {
 
            $this->license(array(
                'Category'      => 'free',
                'Build'         => 'premium',
                'Title'         => 'OnePress Zero License',
                'Description'   => 'Please, activate the plugin to get started. Enter a key 
                                    you received with the plugin into the form below.'
            ));
        

    }
    
    /**
     * Installs default license.
     * @param type $data
     */
    protected function license($data) {
        $data['Activated'] = 0; 
        $data['Expired'] = 0; 
        
        $defaultLicense = get_option('onp_default_license_' . $this->plugin->pluginName, null);

        if ( empty($defaultLicense) ) {
            update_option('onp_default_license_' . $this->plugin->pluginName, $data);    
        }
    }
}